
Name:             javancss
Version:          32.53
Release:          %mkrel 1
Summary:          A Source Measurement Suite for Java
Group:            Development/Java
License:          GPL
Url:              http://www.kclee.de/clemens/java/javancss/
Source0:          http://www.kclee.de/clemens/java/javancss/javancss-32.53.zip
Patch0:           javancss-32.53-bin-javancss.patch
Patch1:           javancss-32.53-disable-assembly.patch
Patch2:           javancss-32.53-Javancss.patch
BuildRequires:    ant

BuildRequires:    bsf
BuildRequires:    bsh2

BuildRequires:    ccl-util
BuildRequires:    java-devel
BuildRequires:    javacc
BuildRequires:    javahelp2
BuildRequires:    buildnumber-maven-plugin
BuildRequires:    dtddoc-maven-plugin
BuildRequires:    javacc-maven-plugin
BuildRequires:    jdepend-maven-plugin
BuildRequires:    maven
BuildRequires:    maven-doxia

BuildRequires:    maven-enforcer
BuildRequires:    maven-enforcer-plugin

BuildRequires:    maven-antrun-plugin
BuildRequires:    maven-assembly-plugin
BuildRequires:    maven-clean-plugin
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-deploy-plugin
BuildRequires:    maven-eclipse-plugin
BuildRequires:    maven-enforcer-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-plugin-exec
BuildRequires:    maven-plugin-jxr
BuildRequires:    maven-pmd-plugin
BuildRequires:    maven-project-info-reports-plugin
BuildRequires:    maven-release-plugin

BuildRequires:    maven-resources-plugin
BuildRequires:    maven-site-plugin
BuildRequires:    maven-source-plugin
BuildRequires:    maven-surefire-plugin
Requires:         ccl-util
Requires:         java
Requires:         javahelp2
Requires:         jpackage-utils
Requires(post):   jpackage-utils
Requires(postun): jpackage-utils
BuildArch:        noarch
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
JavaNCSS is a simple command line utility which measures two
standard source code metrics for the Java programming language.
The metrics are collected globally, for each class and/or for
each function.

%package javadoc
Group:            Development/Java
Summary:          Javadocs for %{name}
Requires:         jpackage-utils

%description javadoc
A Source Measurement Suite for Java.

This package contains javadoc for %{name}.

%package manual
Group:            Development/Java
Summary:          Manual for %{name}
        
%description manual
A Source Measurement Suite for Java.

This package contains manual for %{name}

%prep
%setup -q -n javancss-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0
for j in $(find . -name "*.jar"); do
   mv $j $j.no
done

sed -i "s|<groupId>ant</groupId>|<groupId>org.apache.ant</groupId>|" pom.xml
sed -i "s|<version>1.6.5</version>|<version>1.8.2</version>|" pom.xml

%build

export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
mkdir -p $MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=javancss \
  -DartifactId=jhbasic \
  -Dversion=29.50 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath javahelp2) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL
  
mvn-rpmbuild \
  install:install-file \
  -DgroupId=bsf \
  -DartifactId=bsf \
  -Dversion=2.3.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsf) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.beanshell \
  -DartifactId=bsh \
  -Dversion=2.0b4 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath bsh2/bsh) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.plugins \
  -DartifactId=maven-enforcer-plugin \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/plugin) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-rpmbuild \
  install:install-file \
  -DgroupId=org.apache.maven.enforcer \
  -DartifactId=enforcer-rules \
  -Dversion=1.0 \
  -Dpackaging=jar \
  -Dfile=$(build-classpath maven-enforcer/enforcer-rules) \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL

mvn-jpp \
  -e \
  -Dmaven.test.skip=true \
  -Dmaven.repo.local=$MAVEN_REPO_LOCAL \
   install javadoc:javadoc
   
%install
[ %{buildroot} != / ] && rm -rf %{buildroot}

mkdir -p %{buildroot}%{_javadir}
install -m 644 target/javancss-%{version}.jar \
	%{buildroot}%{_javadir}/javancss-%{version}.jar
	
mkdir -p %{buildroot}%{_mavenpomdir}
install -m 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP-javancss.pom
%add_to_maven_depmap javancss javancss %{version} JPP javancss
%add_to_maven_depmap org.codehaus.javancss javancss %{version} JPP javancss

(
	cd %{buildroot}%{_javadir}
	for jar in *-%{version}*; do 
		ln -sf ${jar} ${jar/-%{version}/}
	done
)

mkdir -p %{buildroot}%{_javadocdir}/javancss
cp -pr target/site/apidocs/* %{buildroot}%{_javadocdir}/javancss

# TODO set JAVANCSS_HOME
mkdir -p %{buildroot}%{_bindir}
install -m 755 bin/javancss %{buildroot}%{_bindir}/javancss
mkdir -p %{buildroot}%{_datadir}/javancss-%{version}
cp -p javancss.dtd %{buildroot}%{_datadir}/javancss-%{version}

%clean
[ %{buildroot} != / ] && rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root)
%{_javadir}/javancss-%{version}.jar
%{_javadir}/javancss.jar
%{_bindir}/javancss
%{_datadir}/javancss-%{version}
%{_mavenpomdir}/*
%{_mavendepmapfragdir}/*
%doc COPYING README.TXT

%files javadoc
%defattr(-,root,root)
%{_javadocdir}/javancss

%files manual
%defattr(-,root,root)
%doc doc/*



%changelog

* Mon Oct 31 2011 gil <gil> 32.53-1.mga2
+ Revision: 160333
- imported package javancss


* Fri Jul 15 2011 gil <gil> 32.53-0.%%mkrel
- initial rpm

